Skip to main content
GET
Retrieve an internal user by an identifier

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

Query Parameters

type
enum<string>
required

Identifier the value is given as. An internal user's cellphone is not one.

Available options:
ID,
EMAIL
value
string
required

The identifier itself, in the form named by type. An EMAIL has its domain lowercased, but its local part is matched exactly as sent.

Required string length: 1 - 320

Response

Successful Response

Response body for internal-user (human agent) read operations.

id
string
required

Unique identifier for the internal user (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

status
enum<string>
required

'active' when the internal user is live, 'disabled' when the user has been removed.

Available options:
active,
disabled
Examples:

"active"

"disabled"

createdAt
string
required

Timestamp when the internal user was created.

Example:

"2003-04-10T08:00:00.000Z"

updatedAt
string
required

Timestamp when the internal user was last updated.

Example:

"2003-04-10T08:00:00.000Z"

firstName
string | null

Internal user's first name.

Example:

"John"

lastName
string | null

Internal user's last name.

Example:

"Doe"

email
string | null

Internal user's email address.

Example:

"john.doe@example.com"

cellphone
string | null

Internal user's cellphone number.

Example:

"+14084029292"

languageCode
enum<string> | null

Language code of the internal user.

Available options:
ES,
EN,
AF,
SQ,
AR,
AZ,
BN,
BG,
CA,
ZH_CN,
HR,
CS,
DA,
NL,
ET,
FIL,
FI,
FR,
KA,
DE,
EL,
GU,
HA,
HE,
HI,
HU,
ID,
GA,
IT,
JA,
KN,
KK,
RW_RW,
KO,
KY_KG,
LO,
LV,
LT,
MK,
MS,
ML,
MR,
NB,
FA,
PL,
PT_BR,
PA,
RO,
RU,
SR,
SK,
SL,
SW,
SV,
TA,
TE,
TH,
TR,
UK,
UR,
UZ,
VI,
ZU
Example:

"EN"